Index: trunk/source/Lib/TAppCommon/TAppComCamPara.cpp
===================================================================
--- trunk/source/Lib/TAppCommon/TAppComCamPara.cpp	(revision 608)
+++ trunk/source/Lib/TAppCommon/TAppComCamPara.cpp	(revision 655)
@@ -615,9 +615,5 @@
 {
   UInt uiFoundLine = -1;
-#if H_3D_FIX_REN_WARNING
   if ( !xGetCameraDataRow( iView, uiFrame, uiFoundLine ) && xIsIn( m_aiSortedBaseViews, iView ))
-#else  
-  if ( !xGetCameraDataRow( iView, uiFrame, uiFoundLine ) )
-#endif
   {
     AOT( m_aadCameraParameters[ uiFoundLine ].size() < 6 );
@@ -635,18 +631,10 @@
     Int  iDummy;
 
-#if H_3D_FIX_REN_WARNING
     if( !xGetLeftRightView( iView, m_aiSortedBaseViews, iLeftView, iRightView, iDummy, iDummy ) ||
-#else
-    if( !xGetLeftRightView( iView, m_aiViewsInCfgFile, iLeftView, iRightView, iDummy, iDummy ) ||
-#endif
          xGetCameraDataRow( iLeftView,  uiFrame, uiLeftViewLine  )                             ||
          xGetCameraDataRow( iRightView, uiFrame, uiRightViewLine )
       )
     {
-#if H_3D_FIX_REN_WARNING
       std::cerr << "No left or no right base view next to view " << (Double)iView / m_dViewNumPrec << " for Frame " << uiFrame << " given in CameraParameterFile" << std::endl;
-#else
-      std::cerr << "No Left or no Right View next to View " << (Double)iView / m_dViewNumPrec << " for Frame " << uiFrame << " given in CameraParameterFile" << std::endl;
-#endif
       AOT(true);
       exit( EXIT_FAILURE );
@@ -1352,5 +1340,5 @@
       }
     }
-#if H_3D_FIX_REN_WARNING
+
     Bool bIgnoreFirst = true;     
     for( UInt uiERView = 0; uiERView < m_aiSynthViews.size() && !m_bSetupFromCoded; uiERView++ )
@@ -1371,5 +1359,4 @@
       std::cout << std::endl; 
     }
-#endif
 
     Bool bInterpolateFirst = true; 
@@ -1390,9 +1377,5 @@
         if ( bInterpolateFirst ) 
         {
-#if H_3D_FIX_REN_WARNING                        
           std::cout << "Interpolating camera parameters      for virtual view(s): " ; 
-#else
-          std::cout << "Interpolating Camera Parameters for View(s) " ; 
-#endif
             bInterpolateFirst = false; 
         }          
@@ -1498,5 +1481,4 @@
 }
 
-#if H_3D_FIX_REN_WARNING
 Bool 
   TAppComCamPara::xIsIn( std::vector<Int>& rVec, Int iElem) 
@@ -1509,5 +1491,4 @@
   return bFound;
 }
-#endif
 
 Int TAppComCamPara::getRelDistLeft( Int iSynthViewIdx, Int iLeftViewIdx, Int iRightViewIdx )
Index: trunk/source/Lib/TAppCommon/TAppComCamPara.h
===================================================================
--- trunk/source/Lib/TAppCommon/TAppComCamPara.h	(revision 608)
+++ trunk/source/Lib/TAppCommon/TAppComCamPara.h	(revision 655)
@@ -125,12 +125,11 @@
   Bool  xGetLeftRightView         ( Int iView, std::vector<Int> aiSortedViews, Int& riLeftView, Int& riRightView, Int& riLeftSortedViewIdx, Int& riRightSortedViewIdx );
   Void  xGetPrevAndNextBaseView   ( Int iSourceViewNum, Int iTargetViewNum, Int& riPrevBaseViewNum, Int& riNextBaseViewNum );
+#if !KWU_RC_MADPRED_E0227
   Void  xGetZNearZFar             ( Int iView, UInt uiFrame, Double& rdZNear, Double& rdZFar );
   Void  xGetGeometryData          ( Int dView, UInt uiFrame, Double& rdFocalLength, Double& rdPosition, Double& rdCameraShift, Bool& rbInterpolated );
+#endif
   Void  xSetupBaseViewsFromCoded  ();
   Void  xSetupBaseViews           ( Char* pchBaseViewNumbers, UInt uiNumBaseViews );
-#if H_3D_FIX_REN_WARNING
   Bool  xIsIn                     ( std::vector<Int>& rVec, Int iNumber);
-#endif
-
 
   // functions for getting and setting scales and offsets
@@ -220,4 +219,9 @@
   Int**               getCodedScale             ()  { return m_aaiCodedScale;           }
   Int**               getCodedOffset            ()  { return m_aaiCodedOffset;          }
+
+#if KWU_RC_MADPRED_E0227
+  Void  xGetZNearZFar             ( Int iView, UInt uiFrame, Double& rdZNear, Double& rdZFar );
+  Void  xGetGeometryData          ( Int dView, UInt uiFrame, Double& rdFocalLength, Double& rdPosition, Double& rdCameraShift, Bool& rbInterpolated );
+#endif
 };
 
